Below I have pasted the code from my drawmycoil.lsp
file.
(defun drwcoil ()
(setq helices_center '(0 0)) ; this is the center of the helices
(setq inner_radius 1e3) ; 1000 microns
(setq outer_radius 2.4e3) ; 2400 microns
(setq coil_thickness 35) ; 35 microns
(setq turns (\ (- outer_radius inner_radius)
(* coil_thickness 2))) ; coil_thickness is multiplied by 2 to
; account for coil spacing
(while (< inner_radius outer_radius)
(command "HELIX"
helices_center
inner_radius
(+ inner_radius (* coil_thickness 2))
"t"
"1"
"0") ;draws one helix per iteration
(setq inner_radius
(+ inner_radius (* coil_thickness 2))))) ; increments the inner radius
; for the next iteration
(defun c:drawmycoil ()
(drwcoil)
(princ))
Here's the output of the lisp file after it is loaded and executed:
Command: _appload coil35um_intricate.lsp successfully loaded.
Command:
Command:
Command: drawmycoil ;
error: no function definition: \\\\
In spite of having clearly defined my functions, I am unable to make AutoCAD/AutoLISP recognize them. I am using Autodesk Education Master Suite 2011. I saw quite a few tutorial sites and most of them are focused on the LISP part of the functions. I am more focused on making AutoCAD plot my drawing for me through LISP.